/// <reference types="hoist-non-react-statics" />
import React from "react";
import { InjectedStageProps } from "./withStage";
import { SpringConfig } from "./types";
import Transition from "./Transition";
declare type TransitionArgs = {
    fromId: string;
    toId: string;
    springConfig?: SpringConfig;
};
declare type State = {
    count: number;
};
export declare class SceneTransitionerClass extends React.Component<InjectedStageProps, State> {
    private readonly _transitions;
    constructor(props: InjectedStageProps);
    render(): JSX.Element;
    transition: ({ fromId, toId, springConfig }: TransitionArgs) => Transition;
    private _handleTransitionReady;
    private _handleTransitionFinished;
}
declare const _default: {
    (props: any): JSX.Element;
    displayName: string;
    WrappedComponent: typeof SceneTransitionerClass;
} & import("hoist-non-react-statics").NonReactStatics<typeof SceneTransitionerClass, {}>;
export default _default;
