import React from "react";
import { ViewProps } from "react-native";
import { SceneClass } from "./Scene";
declare type Handler = (id: string, scene: SceneClass) => void;
export default class Stage extends React.Component<ViewProps> {
    private _scenes;
    private _ee;
    addScene(id: string, scene: SceneClass): void;
    removeScene(id: string): void;
    getScene(id: string): SceneClass | undefined;
    onAddScene(id: string, handler: Handler): void;
    removeAddSceneListener(id: string, handler: Handler): void;
    onRemoveScene(id: string, handler: Handler): void;
    removeRemoveSceneListener(id: string, handler: Handler): void;
    render(): JSX.Element;
}
export {};
