import React from "react";
import hoistStatics from "hoist-non-react-statics";
import Stage from "./Stage";
export declare type InjectedStageProps = {
    stage: Stage;
};
export default function withStage<T extends React.ComponentType<any>>(Component: T): {
    (props: any): JSX.Element;
    displayName: string;
    WrappedComponent: T;
} & hoistStatics.NonReactStatics<T, {}>;
